System.Design 1.0.5000.0 2.0.0.0 System.Object To be added.

Represents a parameter of a method of a hosted ActiveX control.

- Constructor
  To be added.

  Initializes a new instance of the class using the specified parameter information.

  A indicating the parameter information to use.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the specified parameter information and whether to ignore by reference parameters.

  A indicating the parameter information to use.
  A value indicating whether to ignore parameters passed by reference.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the specified name and type name.

  The name of the parameter.
  The name of the type of the parameter.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the specified name and type.

  The name of the parameter.
  The type of the parameter.
  1.0.5000.0
  2.0.0.0
- Method
  System.Windows.Forms.Design.AxParameterData[] `` To be added.

  Converts the specified parameter information to an object.

  An array of objects representing the specified array of objects.

  An array of objects to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Windows.Forms.Design.AxParameterData[] `` `` To be added.

  Converts the specified parameter information to an object, according to the specified value indicating whether to ignore by reference parameters.

  An array of objects representing the specified array of objects.

  An array of objects to convert. A value indicating whether to ignore parameters passed by reference. 1.0.5000.0 2.0.0.0
- Property
  System.CodeDom.FieldDirection To be added. To be added.

  Indicates the direction of assignment fields.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Indicates whether the parameter data is passed by reference.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Indicates whether the parameter data is in.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Indicates whether the parameter data is optional.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Indicates whether the parameter data is out.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the name of the parameter.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added. To be added.

  Gets the type expected by the parameter.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name of the type expected by the parameter.

  1.0.5000.0
  2.0.0.0